{pkgs, ...}: {
	imports = [./home.nogui.nix];
	home.packages = with pkgs; [
		caddy
		calibre
		clapper
		playerctl
		picard
		inkscape
		libreoffice
		evolution
		gnomeExtensions.blur-my-shell
		gnomeExtensions.burn-my-windows
		gnomeExtensions.pop-shell
		gnomeExtensions.espresso
		gnomeExtensions.pip-on-top
		gnomeExtensions.gsconnect
	] ;
	home.sessionVariables = {
		MOZ_ENABLE_WAYLAND = "1";
	};
	programs.kitty = import programs/kitty.nix pkgs;
	programs.firefox = import programs/firefox.nix pkgs;
	# Package broken as of 2022-12-14
	# services.etesync-dav.enable = true;
}