" Vim color file
" Maintainer:	Bram Moolenaar <Bram@vim.org>
" Last Change:	2001 Jul 23

" This is the default color scheme.  It doesn't define the Normal
" highlighting, it uses whatever the colors used to be.

" Set 'background' back to the default.  The value can't always be estimated
" and is then guessed.
hi clear Normal
set bg&

" Remove all existing highlighting and set the defaults.
hi clear

" Load the syntax highlighting defaults, if it's enabled.
if exists("syntax_on")
  syntax reset
endif

hi Normal      guifg=#ffffff guibg=#201b27
hi Comment     guifg=#91889b
hi Constant    guifg=#ffe261
hi String      guifg=#acdfef
hi Number      guifg=#d887f5
hi Type        guifg=#d887f5
hi Special     guifg=#ff52bf
hi Statement   guifg=#1ed3ec
hi PreProc     guifg=#716385
hi Todo        guifg=black guibg=#ff52bf
hi Identifier  guifg=#ffffff
hi Function    guifg=#ff52bf
hi Operator    guifg=#3feabf
hi Delimiter   guifg=#7b6995

hi TSProperty  guifg=#1ed3ec
hi TSAttribute guifg=#ff52bf
hi TSField     guifg=#ff52bf
hi TSTag       guifg=#3feabf
hi TSFuncBuiltin     guifg=#ffe261
hi TSTypeBuiltin     guifg=#ffe261
hi TSConstBuiltin    guifg=#ffe261
hi TSVariableBuiltin guifg=#ffe261

hi LineNr      guifg=grey
hi Pmenu       guifg=white guibg=#483051
hi ColorColumn guibg=#2A2432

hi LspDiagnosticsUnderlineError       gui=undercurl guisp=#ff52bf
hi LspDiagnosticsUnderlineWarning     gui=undercurl guisp=#ffe261
hi LspDiagnosticsUnderlineInformation gui=undercurl guisp=#1ed3ec
hi LspDiagnosticsUnderlineHint        gui=undercurl guisp=#91889b

hi IndentBlanklineChar                guifg=#483051

hi CoqtailSent     guibg=#024242
hi CoqtailChecked  guibg=#3f1635

let colors_name = "laserwave"

" vim: sw=2
