{pkgs, stdenv, lib, ...}: stdenv.mkDerivation {
	pname = "justseeds-fontpack";
	version = "14.000";

	# Fontpack 1
	pack01 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JS_fontpack1_2.zip";
		sha256 = "q++XV6tR2eOpp9VEw0EXfk9HcGC/WcPn4dgajwnfBfk=";
		stripRoot = false;
	};

	# Fontpack 2
	pack02 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/justseeds_fontpak2.zip";
		sha256 = "nQXjkJw5T0GLqT4U3HJ51Sv1MNxvKOeeAg2c54VouRE=";
		stripRoot = false;
	};

	# Fontpack 3
	pack03 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP-FP3_2.zip";
		sha256 = "gUbyXkR+Kr5w0//fbl72qqQRgqiyaA34pwDt1+t+Ejc=";
		stripRoot = false;
	};

	# Fontpack 4
	pack04 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/fontpak4_3.zip";
		sha256 = "X1WaU4fGcNjrRT0MW6HzysiYV6s1E03nMxeg5PG2wR0=";
		stripRoot = false;
	};

	# Fontpack 5
	pack05 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP5_2.zip";
		sha256 = "9dCyNv+9Zf4aQBtb6lZIYCz7pEsxaCwdLlSTlPfPihA=";
		stripRoot = false;
	};

	# Fontpack 6
	pack06 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JS-Font-pack-6_2.zip";
		sha256 = "f6tcmnyd5Ey5j28RCohUG7f01CabA8RpwSxPXYDY5jg=";
		stripRoot = false;
	};

	# Fontpack 7
	pack07 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JS-Font-Pack-7_3.zip";
		sha256 = "bQOCStjWSIpqOCZITxiefZ9/+ZINiwmyqaH1TXX2gQc=";
		stripRoot = false;
	};

	# Fontpack 8
	pack08 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/Justseeds-Font-Pack-8_4.zip";
		sha256 = "9tyxRxlwuR1VAOzF03zTS/DoF9/Scw1+5ItNiwBuNqQ=";
		stripRoot = false;
	};

	# Fontpack 9
	pack09 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JS-Font-Pack-9.zip";
		sha256 = "wxxZgi/19UUuYeEFMk9r3ysLBoTbWRnsW8VROYe+OyA=";
		stripRoot = false;
	};

	# Fontpack 10
	pack10 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP-10.zip";
		sha256 = "SPHLwNFUOzmm7oNGlyAWyUsfMxROSgmkBUGvhbZT67Q=";
		stripRoot = false;
	};

	# Fontpack 11
	pack11 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP-11.zip";
		sha256 = "Cp2i9kcXnkgsCxqPwcyJ6UXiWp+/wkeGgC0SVw3uh1s=";
		stripRoot = false;
	};

	# Fontpack 12
	pack12 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP-12_1223.zip";
		sha256 = "9LO4zt1TGhiPptzeXY/0wZewraZ574U73WZSuTzpJRs=";
		stripRoot = false;
	};

	# Fontpack 13
	pack13 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JOSTP-13.zip";
		sha256 = "HOVl9PYZb6PUs0nIbognJQDvaasiafOWMkxiWliPQZg=";
		stripRoot = false;
	};

	# Fontpack 14
	pack14 = pkgs.fetchzip {
		url = "https://justseeds.org/wp-content/uploads/JSOTP-14.zip";
		sha256 = "JaoefaCCE3I8CrUHuTn0Ggn8HTp2mgjsn9WLFGG/ycU=";
		stripRoot = false;
	};

	dontUnpack = true;
	installPhase = ''
		install -D -m 444 $pack01/JS_fontpak1/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack02/justseeds_fontpak2/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack03/'JSOTP FP3_2'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack04/fontpak4/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack05/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack06/'JS Font pack 6 zip'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack07/'JS Font Pack 7'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack08/'Justseeds Font Pack 8'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack09/'Justseeds Font Pack 9'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack10/'JSOTP 10'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack11/'JSOTP 11'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack12/'JSOTP 12'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack13/'JOSTP 13'/*.otf -t $out/share/fonts/otf
		install -D -m 444 $pack14/'JSOTP 14'/*.otf -t $out/share/fonts/otf
	'';

	meta = {
		description = "Open-access fonts for activists, organizers, and movement designers";
		homepage = "https://justseeds.org/project/justseeds-open-type-project/";
		license = lib.licenses.cc-by-nc-40;
		maintainers = [{
			email = "ember@corviform.gay";
			github = "Alch-Emi";
			githubId = 38897201;
			name = "Ember Hearth";
		}];
	};
}